#
# spec file for package apache2-mod_openpgp (Version 0.6)
#

# norootforbuild

Name:         apache2-mod_openpgp
BuildRequires: apache2-devel gpgme-devel libgpg-error-devel
%define modname mod_openpgp
%define apxs /usr/sbin/apxs2
%define apache apache2
%define apache_libexecdir %(%{apxs} -q LIBEXECDIR)
%define apache_sysconfdir %(%{apxs} -q SYSCONFDIR)
%define apache_includedir %(%{apxs} -q INCLUDEDIR)
%define apache_serverroot %(%{apxs} -q PREFIX)
%define apache_localstatedir %(%{apxs} -q LOCALSTATEDIR)
%define apache_mmn        %(MMN=$(%{apxs} -q LIBEXECDIR)_MMN; test -x $MMN && $MMN)
Version:	0.5.0
Release:	1.1
License:	Apache License
Group:		Productivity/Networking/Web/Servers
Requires:	apache2 %{apache_mmn} 
Autoreqprov:	on
Summary:	server-side counterpart for Enigform
Url:		http://wiki.buanzo.org/index.php?n=Main.ModOpenpgp
Source0:	%{modname}-%{version}.tgz
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

%description
mod_openpgp is an Apache Module. It's the server-side counterpart for Enigform.

%debug_package
%prep
%setup -n %{modname}-%{version}

%build
%{apxs} -a -lgpgme -lgpg-error -n %{modname}.so -c %{modname}.c

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{apache_libexecdir}
mkdir -p $RPM_BUILD_ROOT/%{apache_sysconfdir}/conf.d/
cp -p .libs/%{modname}.so $RPM_BUILD_ROOT/%{apache_libexecdir}/%{modname}.so

%files
%defattr(-,root,root)
%doc Changelog
%{apache_libexecdir}/*.so

%changelog
* Mon Mar 16 2009 Carsten Schoene <cs@linux-administrator.com>
- initial package (0.5.0)
